From a8e98683aa05c5e554eb689994f87879a7abcfe3 Mon Sep 17 00:00:00 2001
From: Alexander Fasching <fasching.a91@gmail.com>
Date: Tue, 5 Jun 2018 16:42:32 +0200
Subject: [PATCH 05/13] Fix spelling of FFT

---
 src/applications/gqrx/mainwindow.cpp | 4 ++--
 src/applications/gqrx/mainwindow.h   | 1 -
 src/qtgui/dockaudio.cpp              | 4 ++--
 src/qtgui/dockaudio.h                | 2 +-
 src/qtgui/plotter.cpp                | 4 ++--
 src/qtgui/plotter.h                  | 4 ++--
 6 files changed, 9 insertions(+), 10 deletions(-)

diff --git a/src/applications/gqrx/mainwindow.cpp b/src/applications/gqrx/mainwindow.cpp
index b0d0ed1..dd6230e 100644
--- a/src/applications/gqrx/mainwindow.cpp
+++ b/src/applications/gqrx/mainwindow.cpp
@@ -1287,7 +1287,7 @@ void MainWindow::iqFftTimeout()
         d_iirFftData[i] += d_fftAvg * (d_realFftData[i] - d_iirFftData[i]);
     }
 
-    ui->plotter->setNewFttData(d_iirFftData, d_realFftData, fftsize);
+    ui->plotter->setNewFftData(d_iirFftData, d_realFftData, fftsize);
 }
 
 /** Audio FFT plot timeout. */
@@ -1332,7 +1332,7 @@ void MainWindow::audioFftTimeout()
         d_realFftData[i] = 10.0 * log10f(pwr + 1.0e-20);
     }
 
-    uiDockAudio->setNewFttData(d_realFftData, fftsize);
+    uiDockAudio->setNewFftData(d_realFftData, fftsize);
 }
 
 /** RDS message display timeout. */
diff --git a/src/applications/gqrx/mainwindow.h b/src/applications/gqrx/mainwindow.h
index 087cfd3..85c7aff 100644
--- a/src/applications/gqrx/mainwindow.h
+++ b/src/applications/gqrx/mainwindow.h
@@ -87,7 +87,6 @@ private:
     float          *d_realFftData;
     float          *d_iirFftData;
     float          *d_pwrFftData;
-    //double *d_audioFttData;
     float           d_fftAvg;      /*!< FFT averaging parameter set by user (not the true gain). */
 
     bool d_have_audio;  /*!< Whether we have audio (i.e. not with demod_off. */
diff --git a/src/qtgui/dockaudio.cpp b/src/qtgui/dockaudio.cpp
index 7c27aee..9374b69 100644
--- a/src/qtgui/dockaudio.cpp
+++ b/src/qtgui/dockaudio.cpp
@@ -93,9 +93,9 @@ void DockAudio::setFftRange(quint64 minf, quint64 maxf)
     }
 }
 
-void DockAudio::setNewFttData(float *fftData, int size)
+void DockAudio::setNewFftData(float *fftData, int size)
 {
-    ui->audioSpectrum->setNewFttData(fftData, size);
+    ui->audioSpectrum->setNewFftData(fftData, size);
 }
 
 /*! \brief Set new audio gain.
diff --git a/src/qtgui/dockaudio.h b/src/qtgui/dockaudio.h
index c1f84f4..79894c7 100644
--- a/src/qtgui/dockaudio.h
+++ b/src/qtgui/dockaudio.h
@@ -51,7 +51,7 @@ public:
     ~DockAudio();
 
     void setFftRange(quint64 minf, quint64 maxf);
-    void setNewFttData(float *fftData, int size);
+    void setNewFftData(float *fftData, int size);
     int  fftRate() const { return 10; }
 
     void setAudioGain(int gain);
diff --git a/src/qtgui/plotter.cpp b/src/qtgui/plotter.cpp
index 1e01636..37ec3c7 100644
--- a/src/qtgui/plotter.cpp
+++ b/src/qtgui/plotter.cpp
@@ -1113,7 +1113,7 @@ void CPlotter::draw()
  * When FFT data is set using this method, the same data will be used for both the
  * pandapter and the waterfall.
  */
-void CPlotter::setNewFttData(float *fftData, int size)
+void CPlotter::setNewFftData(float *fftData, int size)
 {
     /** FIXME **/
     if (!m_Running)
@@ -1136,7 +1136,7 @@ void CPlotter::setNewFttData(float *fftData, int size)
  * waterfall.
  */
 
-void CPlotter::setNewFttData(float *fftData, float *wfData, int size)
+void CPlotter::setNewFftData(float *fftData, float *wfData, int size)
 {
     /** FIXME **/
     if (!m_Running)
diff --git a/src/qtgui/plotter.h b/src/qtgui/plotter.h
index f1421a6..6e020d0 100644
--- a/src/qtgui/plotter.h
+++ b/src/qtgui/plotter.h
@@ -39,8 +39,8 @@ public:
     void setTooltipsEnabled(bool enabled) { m_TooltipsEnabled = enabled; }
     void setBookmarksEnabled(bool enabled) { m_BookmarksEnabled = enabled; }
 
-    void setNewFttData(float *fftData, int size);
-    void setNewFttData(float *fftData, float *wfData, int size);
+    void setNewFftData(float *fftData, int size);
+    void setNewFftData(float *fftData, float *wfData, int size);
 
     void setCenterFreq(quint64 f);
     void setFreqUnits(qint32 unit) { m_FreqUnits = unit; }
-- 
2.20.1

